## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DeleteFunctor Template Struct Reference

Functor to delete objects, used in STL iteration algorithms. More...

`#include <STLHelper.hpp>`

Inheritance diagram for DeleteFunctor

Collaboration diagram for DeleteFunctor:

List of all members.

## Public Types

- typedef std::unary_function<
  const T*, void> BaseClassType
- typedef BaseClassType::result_type result_type
- typedef BaseClassType::argument_type argument_type

## Public Methods

- result_type operator() (argument_type thePointer) const
    Delete the object pointed to by argument. More...

## Detailed Description

### template<class T> template struct DeleteFunctor

Functor to delete objects, used in STL iteration algorithms.

## Member Typedef Documentation

template<classT>
typedef std::unary_function<const T*, void> DeleteFunctor<T>::BaseClassType

template<classT>
typedef BaseClassType::argument_type DeleteFunctor<T>::argument_type

template<classT>
typedef BaseClassType::result_type DeleteFunctor<T>::result_type

## Member Function Documentation

template<classT>
result_type DeleteFunctor<T>::operator() ( | argument_type thePointer ) const`[]`

Delete the object pointed to by argument.

Parameters:

  thePointer | pointer to object to be deleted

The documentation for this struct was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.